clang-tools 6.0.0

Namespaces
FunctionSizeCheck.cpp File Reference
`#include "FunctionSizeCheck.h"`
`#include "clang/AST/RecursiveASTVisitor.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
Include dependency graph for FunctionSizeCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::readability

## Variable Documentation

## ◆ Branches

unsigned Branches = 0

Definition at line 80 of file FunctionSizeCheck.cpp.

## ◆ CurrentNestingLevel

unsigned CurrentNestingLevel = 0

Definition at line 86 of file FunctionSizeCheck.cpp.

## ◆ Info

FunctionInfo Info

Definition at line 84 of file FunctionSizeCheck.cpp.

Referenced by clang::tidy::readability::ConstTok(), clang::getTokenAtLoc(), and clang::tidy::modernize::ParseTokens().

## ◆ Lines

unsigned Lines = 0

Definition at line 78 of file FunctionSizeCheck.cpp.

## ◆ NestingThreshold

unsigned NestingThreshold = 0

Definition at line 81 of file FunctionSizeCheck.cpp.

## ◆ NestingThresholders

std::vector<SourceLocation> NestingThresholders

Definition at line 82 of file FunctionSizeCheck.cpp.

## ◆ Statements

unsigned Statements = 0

Definition at line 79 of file FunctionSizeCheck.cpp.

## ◆ TrackedParent

std::vector<bool> TrackedParent

Definition at line 85 of file FunctionSizeCheck.cpp.